Name:           microba
Version:        0.4.4.3
Release:        3%{?dist}
Summary:        Set of JFC (Swing) components

Group:          Development/Libraries
License:        BSD
URL:            http://microba.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}-full.zip
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:       java
BuildRequires:  java-devel
# sinjdoc doesn't do the job for us in f12, drag in real javadoc
BuildRequires:  java-devel-openjdk
BuildRequires:  jpackage-utils
BuildRequires:  jgraph
BuildRequires:  unzip
BuildRequires:  ant
BuildArch:      noarch

%description
Microba is a set of finely crafted & feature rich JFC (Swing) components,
including a date picker, calendar, gradient editor, palette editor and
jgraph bird view,


%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description javadoc
API documentation for %{name}.


%prep
%setup -q -c
unzip -q %{name}-%{version}-sources.jar
find . -name '*.jar' -delete


%build
CLASSPATH=$(build-classpath jgraph) ant bin_release doc_release


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
install -d $RPM_BUILD_ROOT/%{_javadocdir}/%{name}-%{version}
install redist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -sf %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
unzip -qd $RPM_BUILD_ROOT/%{_javadocdir}/%{name}-%{version} redist/%{name}-%{version}-javadoc.jar -x META-INF/\*


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%doc license.txt


%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}



%changelog
* Fri Nov 20 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.4.4.3-3
- Use OpenJDK Javadoc, until sinjdoc is fixed

* Fri Nov 20 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.4.4.3-2
- Add missing BRs (Michal Ingeli, #532205#c1)

* Fri Oct 30 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.4.4.3-1
- Initial packaging
